let scene;

init();
loop();

function init() {

    // Initialize scene
    let box = new Box();
    scene = new Scene(document.getElementById('canvas'), box);

    // Initialize listeners
    window.addEventListener('resize', () => {
        scene.autoResize()
    });

    document.addEventListener('touchstart', (event) => {
        scene.start();
        let e = event.changedTouches[0];
        box.jump(e.clientX / window.innerWidth, e.clientY / window.innerHeight);
    });

}

function loop() {

    // Manage physics
    scene.update();

    // Do rendering
    scene.render();

    requestAnimationFrame(loop);
}

